Package: org.codehaus.groovy.util

## [Java] Class AbstractConcurrentDoubleKeyMap<K1, K2, V>

- org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractConcurrentMapBase` | `MAXIMUM_CAPACITY, segments`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractConcurrentDoubleKeyMap (Object segmentInfo)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `V` | `get(K1 key1, K2 key2)`
    `Entry<K1, K2, V>` | `getOrPut(K1 key1, K2 key2, V value)`
    `void` | `put(K1 key1, K2 key2, V value)`
    `void` | `remove(K1 key1, K2 key2)`
    `Segment<K1, K2, V>` | `segmentFor(int hash)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractConcurrentMapBase` | `createSegment, fullSize, hash, segmentFor, size, values`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AbstractConcurrentDoubleKeyMap(Object segmentInfo)

  - ### Method Detail

    - #### public V get(K1 key1, K2 key2)

    - #### public Entry<K1, K2, V> getOrPut(K1 key1, K2 key2, V value)

    - #### public void put(K1 key1, K2 key2, V value)

    - #### public void remove(K1 key1, K2 key2)

    - #### public final Segment<K1, K2, V> segmentFor(int hash)